# See dos how to configure the bundle: https://symfony.com/doc/current/bundles/LiipImagineBundle/basic-usage.html
liip_imagine:
    # valid drivers options include "gd" or "gmagick" or "imagick"
    driver: "gd"

    filter_sets:
        # name our filter set "my_thumb_filter"
        user_filter_square_medium:
            filters:
                # use and setup the "thumbnail" filter
                thumbnail:
                    # set the thumbnail size to "32x32" pixels
                    size: [300, 300]
                    # crop the input image, if required
                    mode: outbound
                    upscale: true
                    position: center
        student_filter_square_medium:
            filters:
                # use and setup the "thumbnail" filter
                thumbnail:
                    # set the thumbnail size to "32x32" pixels
                    size: [200, 200]
                    # crop the input image, if required
                    mode: outbound
                    upscale: true
                    position: center
                background: { size: [204, 204], position: center, color: '#000000' }

        room_filter_square_small:
            filters:
                # use and setup the "thumbnail" filter
                thumbnail:
                    # set the thumbnail size to "32x32" pixels
                    size: [200, 200]
                    # crop the input image, if required
                    mode: outbound
                    upscale: true
                    position: center
        twig.mode: [] 

